<?
define('IN_PHPBB', true);
$phpbb_root_path = './';
include($phpbb_root_path . 'extension.inc');
include($phpbb_root_path . 'common.'.$phpEx);

$userdata = session_pagestart($user_ip, PAGE_INDEX);
init_userprefs($userdata);

if( isset($HTTP_POST_VARS['mode']) || isset($HTTP_GET_VARS['mode']) )
{
	$mode = ( isset($HTTP_POST_VARS['mode']) ) ? $HTTP_POST_VARS['mode'] : $HTTP_GET_VARS['mode'];
}
else
{
	$mode = "";
}

if ( $userdata['user_level'] != ADMIN )
{
        message_die(GENERAL_ERROR, "You are not authorised to do this.");
}

if ( $board_config['default_lang'] == 'english' )
{
        $l_install = '<font color="green">add</font>';
        $l_uninstall = '<font color="red">remove</font>';
        $title = 'Hack: Custom User Title (Version 2.0.7)';
        $l_explain = ' will be altered.';
        $l_information = 'Do not forget to <b>delete</b> table_update.php after finishing the installation.';
        $not_added = '<font color="red"><b>Table couldnt be altered.</b></font><br />Return to <a href="table_update.'.$phpEx.'">main site</a>.';
        $added = '<font color="green"><b>Table altered successfully.</b></font><br />Return to <a href="table_update.'.$phpEx.'">main site</a>.';
}
else if ( $board_config['default_lang'] == 'german' )
{
        $l_install = '<font color="green">hinzufgen</font>';
        $l_uninstall = '<font color="red">entfernen</font>';
        $l_title = 'Hack: Eigener Usertitel (Version 2.0.7)';
        $l_explain = ' wird gendert.';
        $l_information = 'Nicht vergessen table_update.php vom Server zu <b>lschen</b> sobald die Installation beendet ist.';
        $not_added = '<font color="red"><b>Tabelle konnte nicht angepasst werden.</b></font><br />Zur <a href="table_update.'.$phpEx.'">Hauptseite</a> zurckkehren.';
        $added = '<font color="green"><b>Tabelle erfolgreich angepasst.</b></font><br />Zur <a href="table_update.'.$phpEx.'">Hauptseite</a> zurckkehren.';
}
else
{
        $l_install = '<font color="green">add</font>';
        $l_uninstall = '<font color="red">remove</font>';
        $l_title = 'Hack: Custom User Title (Version 2.0.7)';
        $l_explain = ' will be altered.';
        $l_information = 'Do not forget to <b>delete</b> table_update.php after finishing the installation.';
        $not_added = '<font color="red"><b>Table couldnt be altered.</b></font><br />Return to <a href="table_update.'.$phpEx.'">main site</a>.';
        $added = '<font color="green"><b>Table altered successfully.</b></font><br />Return to <a href="table_update.'.$phpEx.'">main site</a>.';
}

$page_title = 'Installation ('.$l_title.')';
include($phpbb_root_path . 'includes/page_header.'.$phpEx);

if( !empty($mode) ) 
{
	switch($mode)
	{
		case 'custom_install':
	                	$sql = "ALTER TABLE ". USERS_TABLE ." ADD user_custom_rank VARCHAR(50) AFTER user_rank, ADD user_allow_rank TINYINT(1) default '1' AFTER user_custom_rank";
	                	break;
		case 'custom_uninstall':
                		$sql = "ALTER TABLE ". USERS_TABLE ." DROP user_custom_rank, DROP user_allow_rank";
	                	break;
		case 'allow_custom_install':
	                	$sql = "INSERT INTO ". CONFIG_TABLE ." (config_name, config_value) VALUES ('allow_custom_rank', '100')";
	                	break;
		case 'allow_custom_uninstall':
	                	$sql = "DELETE FROM ". CONFIG_TABLE ." WHERE config_name = 'allow_custom_rank'";
	                	break;

		default:
			message_die(GENERAL_MESSAGE, $lang['No_mode']);
			break;
	}

	if( !($result = $db->sql_query($sql)) )
	{
                	message_die(GENERAL_ERROR, $not_added, '', __LINE__, __FILE__, $sql);
	}
	else
	{
                	message_die(GENERAL_MESSAGE, $added, '', __LINE__, __FILE__, $sql);
	}
	exit;
}
?>
 
<center><span class="genmed"><b><?php echo $query ?></b><span></center>
<table width="100%" cellspacing="2" cellpadding="2" border="0" align="center">
  <tr>
        <td align="left" class="nav"><a href="<?php echo append_sid("index.$phpEx") ?>" class="nav"><?php echo sprintf($lang['Forum_Index'], $board_config['sitename']) ?></a></td>
  </tr>
</table>

<table class="forumline" width="100%" cellspacing="1" cellpadding="4" border="0">
  <tr>
        <th class="thHead" height="25"><b><?php echo $lang['Information'] ?></b></th>
  </tr>
  <tr>
        <td class="row1" height ="25"><span class="genmed"><?php echo $l_information ?></b></th>
  </tr>
  <tr> 
        <td class="row1">
                <table width="60%" align="center" cellspacing="1" cellpadding="1" border="1">
                  <tr> 
                        <td width="80%"><span class="gen">&nbsp;<b>user_custom_rank | user_allow_rank</b></span><br />&nbsp;<span class="gensmall"><?php echo "<b>".USERS_TABLE."</b>".$l_explain ?></span></td>
                        <td align="center"><span class="genmed">&nbsp;<a href="<?php echo append_sid("table_update.$phpEx?mode=custom_install") ?>" class="genmed"><?php echo $l_install ?></a> | 
                                                                                                  <a href="<?php echo append_sid("table_update.$phpEx?mode=custom_uninstall") ?>" class="genmed"><?php echo $l_uninstall ?></a></span></td>
                  </tr>
                  <tr> 
                        <td width="80%"><span class="gen">&nbsp;<b>allow_custom_rank</b></span><br />&nbsp;<span class="gensmall"><?php echo "<b>".CONFIG_TABLE."</b>". $l_explain ?></span></td>
                        <td align="center"><span class="genmed">&nbsp;<a href="<?php echo append_sid("table_update.$phpEx?mode=allow_custom_install") ?>" class="genmed"><?php echo $l_install ?></a> | 
                                                                                                  <a href="<?php echo append_sid("table_update.$phpEx?mode=allow_custom_uninstall") ?>" class="genmed"><?php echo $l_uninstall ?></a></span></td>
                  </tr>
                </table></td>
  </tr>
</table>

<?
include($phpbb_root_path . 'includes/page_tail.'.$phpEx);
?>